%define	name		itclib
%define	version		1.1.2
%define	release		9mdk
%define	lib_name_orig	lib%{name}
%define	lib_major	0
%define	lib_name	%mklibname %{name} %{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.derkarl.org/itc/%{name}-%{version}.tar.bz2
Patch0:		%{name}-1.1.2-gcc3.3-fix.patch.bz2
License:	LGPL
Group:		System/Libraries
URL:		http://www.derkarl.org/itc/
Summary:	ITC is a powerful C++ thread library.
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	flex

%description
Inter-Thread Communication (ITC) aims to make it exceedingly easy to 
call functions in other threads. The lexer does all the work, so just 
run the lexer on your headers, then call the stub functions. In addition, 
it also provides a complete threading API, with the four threading 
primitives and a high speed threadsafe FIFO class.

%package -n	%{lib_name}
Summary:	ITC is a powerful C++ thread library.
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{lib_name_orig}2
Obsoletes:      %{lib_name_orig}2

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with itclib.

%package -n	%{lib_name}-devel
Summary:	Headers to develop itc-based applications
Group:		Development/C++
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}2-devel
Obsoletes:	%{lib_name_orig}2-devel

%description -n	%{lib_name}-devel
These are the header files, and itc preprocessor for developing
itc-based applications. 

%package -n	%{lib_name}-static-devel
Summary:	Static libraries to statically link itc-based applications
Group:		Development/C++
Requires:	%{lib_name}-devel = %{version}
Provides:	%{lib_name_orig}-static-devel = %{version}-%{release}
Provides:	%{name}-static-devel = %{version}-%{release}

%description -n	%{lib_name}-static-devel
These are static libraries needed to build statically linked
itc-based programs.

%prep
%setup -q
%patch0 -p1 -b .orig

%build
CXXFLAGS="$RPM_OPT_FLAGS -fpermissive" \
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
 
%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_libdir}/lib*.so.*


%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/itcproc
%{_includedir}/itclib/
%{_libdir}/lib*.so

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%changelog
* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.2-9mdk
- rebuild
- compile with -fpermissive to allow build with gcc-3.4

* Wed Nov 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.2-8mdk
- use %%mklibname

* Wed Nov 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.1.2-7mdk
- fix gcc-3.3 build (P0)

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-6mdk
- rebuild

* Thu Nov 21 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.2-5mdk
- fix missing files *.la
- BuildRequires flex

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.2-4mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- Specfile fixes
	- Separated static libraries into own package

* Wed Nov 06 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.1.2-3mdk
- Oops, forgot Provides for Obsoletes

* Tue Nov 05 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.1.2-2mdk
- Wrong libmajor, fixed

* Thu Oct 28 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.1.2-1mdk
- Patch #0 removed
- 1.1.2

* Sun Oct 27 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.1.1-1mdk
- 1.1.1

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- gcc-3.2 fixes

* Wed Oct 22 2002 Per yvind Karlsen <peroyvind@delonic.no> 1.1-1mdk
- Initial release
